### Property

# Clutter AlignConstraint:factor

#### Declaration

    property factor: float [ read, write, construct ]

#### Description [src]

The alignment factor, as a normalized value between 0.0 and 1.0

The factor depends on the `ClutterAlignConstraint:align-axis` property: with an align-axis value of `CLUTTER_ALIGN_X_AXIS`, 0.0 means left and 1.0 means right; with a value of `CLUTTER_ALIGN_Y_AXIS`, 0.0 means top and 1.0 means bottom.

Type:`gfloat`

Default value | 0.000000
Getter method | `clutter_align_constraint_get_factor()`
Setter method | `clutter_align_constraint_set_factor()`

#### Flags

Readable | yes
Writable | yes
Construct | yes
Construct only | no